<!--[metadata]>
+++
title = "Supported installations for Docker Engine"
description = "Lists the installation methods"
keywords = ["Docker install "]
+++
<![end-metadata]-->

# Install Docker Engine 

Docker Engine is supported on Linux, Cloud, Windows, and OS X. Installation instructions are available for the following: 

## On Linux
* [Arch Linux](archlinux)
* [CentOS](centos)
* [CRUX Linux](cruxlinux)
* [Debian](debian)
* [Fedora](fedora)
* [FrugalWare](frugalware)
* [Gentoo](gentoolinux)
* [Oracle Linux](oracle)
* [Red Hat Enterprise Linux](rhel)
* [openSUSE and SUSE Linux Enterprise](SUSE)
* [Ubuntu](ubuntulinux)

If your linux distribution is not listed above, don't give up yet. To try out Docker on a distribution that is not listed above, go here: [Installation from binaries](binaries).

## On Cloud
* [Amazon EC2 Installation](amazon)
* [Install on Joyent Public Cloud](joyent)
* [Google Cloud Platform](google)
* [IBM SoftLayer](softlayer)
* [Microsoft Azure platform](azure)
* [Rackspace Cloud](rackspace)

## On OSX and Windows
* [Mac OS X](mac)
* [Windows](windows)

## The Docker Archives 
Instructions for installing prior releases of Docker can be found in the following docker archives:
[Docker v1.7](http://docs.docker.com/v1.7/), [Docker v1.6](http://docs.docker.com/v1.6/), [Docker v1.5](http://docs.docker.com/v1.5/), and [Docker v1.4](http://docs.docker.com/v1.4/).

## Where to go After Installing
* [About Docker](../misc)
* [Support](https://www.docker.com/support/)
* [Training](https://training.docker.com//)

